# Puzle Gardener

## About

With Gardener, bootstraping a project has never been so easy !

The project is currently in WIP.

## Roadmap

- Jardiner Data management
    - ~~Define the data file structure~~
    - ~~Find and load the file if it exists~~
    - ~~Otherwise, prompt the user~~
        - ~~The prompt take in account the required values for a gardener config file~~
        - ~~The prompt take in account the required values for the seed config file~~
- CLI
    - Config file location
    - verbose option
- Seed
    - ~~Find a seed (to begin, in local only)~~
    - ~~Seed Data requirement (config file &| user prompt)~~
    - ~~Copy and compile seed files with Jardiner & Seed data~~
    - ~~The files and folders can have template values in their name~~
    - Find a seed defined in a hub
- Git Management
    - ~~Init the project~~
    - ~~First git commit~~
    - Initialize a git flow ?

## Development

To make easier the edition of the source code, we use a makefile.
You can find here the following commands.

### Download the dependencies

```sh
    $ make init
```

### Clean

Clean the artifacts generated by the local use of Gardener

```sh
    $ make clean
```

### Linter (use of PyLint)


```sh
    $ make lint
```

### Save the project dependencies in requirements file


```sh
    $ make freeze
```
freeze:
	rm src/requirements.txt
	pipreqs -r > src/requirements.txt

### Install step

```sh
    $ make install
```

## Use

### Install

To install the package with pip, just type:

```sh
    $ pip install gardener
```

### Use

Then, you can generate a project with the following command:

```sh
    gardener [OPTIONS] SEED_NAME
```

Options:

  -c, --config PATH         Location of the config file
  -l, --seed_location PATH  Location of the Seeds
  -n, --project_name TEXT   The project name, used for the generation
  -d, --destination PATH    The destination of the generation process
  --help                    Show this message and exit.


